Commits

Anonymous committed ce9fb1b

xwork 2 is not working on JDK1.4.2:
o updated retrotranslator config
o updated deps to Spring 1.2.8
Issue Number: XW-463

git-svn-id: http://svn.opensymphony.com/svn/xwork/branches/2.0@1341e221344d-f017-0410-9bd5-d282ab1896d7

  • Participants
  • Parent commits a65c1e6
  • Branches 2.0, xwork_2_0_7

Comments (0)

Files changed (1)

                     <plugin>
                         <groupId>org.codehaus.mojo</groupId>
                         <artifactId>retrotranslator-maven-plugin</artifactId>
+                        <version>1.0-SNAPSHOT</version>
                         <executions>
                             <execution>
                                 <phase>process-classes</phase>
                                     <verify>false</verify>
                                     <failonwarning>true</failonwarning>
                                     <lazy>true</lazy>
+                                    <advanced>true</advanced>
                                     <verbose>false</verbose>
                                     <destdir>${project.build.directory}/classes-retro</destdir>
                                     <includes>
                 <dependency>
                     <groupId>net.sf.retrotranslator</groupId>
                     <artifactId>retrotranslator-runtime</artifactId>
-                    <version>1.0.8</version>
+                    <version>1.2.1</version>
+                </dependency>
+                <dependency>
+                    <groupId>net.sf.retrotranslator</groupId>
+                    <artifactId>retrotranslator-transformer</artifactId>
+                    <version>1.2.1</version>
                 </dependency>
             </dependencies>
         </profile>
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-javadoc-plugin</artifactId>
+                <!--version>2.2</version-->
                 <executions>
                     <execution>
                         <id>attach-source</id>
             <version>1.0.4</version>
         </dependency>
        <dependency>
-            <groupId>ognl</groupId>
+            <groupId>opensymphony</groupId>
             <artifactId>ognl</artifactId>
-            <version>2.6.9</version>
+            <version>2.6.10</version>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-core</artifactId>
-            <version>1.2.6</version>
+            <version>1.2.8</version>
             <optional>true</optional>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-aop</artifactId>
-            <version>1.2.6</version>
+            <version>1.2.8</version>
             <optional>true</optional>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-beans</artifactId>
-            <version>1.2.6</version>
+            <version>1.2.8</version>
             <optional>true</optional>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-context</artifactId>
-            <version>1.2.6</version>
+            <version>1.2.8</version>
             <optional>true</optional>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-web</artifactId>
-            <version>1.2.6</version>
+            <version>1.2.8</version>
             <optional>true</optional>
         </dependency>
         <dependency>
             <groupId>org.springframework</groupId>
             <artifactId>spring-mock</artifactId>
-            <version>1.2.6</version>
+            <version>1.2.8</version>
             <scope>test</scope>
         </dependency>
         <dependency>